#!/bin/sh
# X server startup/shutdown script

PIDFILE=$AF_PIDDIR/xserver.pid

. /etc/osso-af-init/x-server.defs

case "$1" in
  start)  
	if [ -x /usr/bin/ts_calibrate ]; then
    	  if [ ! -r /etc/pointercal ]; then
			ts_calibrate
			touch /etc/pointercal
			chown user:users /etc/pointercal
			chmod ug=rw /etc/pointercal
    	  fi
  	fi
  	[ -c /dev/input/mouse0 ] && EXTRAOPT='-mouse /dev/input/mouse0'
  
  	/usr/bin/Xomap \
         $EXTRAOPT -mouse /dev/input/event0 \
         -dpi $DISPLAY_DPI >/dev/null 2>&1 &
		 
	echo "$!" > $PIDFILE
	;; 
  stop)
	kill `cat $PIDFILE`
    ;;
  *)      
    echo "Usage: $0 {start|stop}"
	exit 1
    ;;
esac

